## swi-prolog 7.2.3

=== packages/xpce/man/course/Makefile ===
.SUFFIXES: .tex .dvi .doc .pl

DOCTOTEX=../../bin/doc2tex
PLTOTEX=../../bin/pl2tex
CORRECTINDEX=../../bin/correctindex
MAKEINDEX=makeindex -s ../../TeX/makeindex.sty


TEX=	doc.tex intro.tex course.tex process.tex ftp.tex

LOGO=	figs/uva.ps figs/swi.ps

all:	$(TEX)
	-$(CORRECTINDEX) doc.idx
	-$(MAKEINDEX) doc
	touch doc.ind
	(TEXINPUTS=../../TeX:$$TEXINPUTS; export TEXINPUTS; pdflatex doc)

bib:	doc.aux
	(TEXINPUTS=../../TeX:$$TEXINPUTS; \
	 BIBINPUTS=$$TEXINPUTS; \
	 export TEXINPUTS BIBINPUTS; bibtex doc)

figs/uva.ps:	../../TeX/figs/uva.ps
	cp ../../TeX/figs/uva.ps figs/uva.ps

figs/swi.ps:	../../TeX/figs/swi.ps
	cp ../../TeX/figs/swi.ps figs/swi.ps

$(TEX):	$(DOCTOTEX)

.doc.tex:
	$(DOCTOTEX) $*.doc > $*.tex

.pl.tex:
	$(PLTOTEX) $*.pl > $*.tex

clean:
	rm -f $(TEX) *.dvi *.toc *.aux *.idx *.ind *.[ib]lg *.log *~ figs/*~ \
	      $(LOGO)

=== packages/xpce/src/gra/Makefile ===
# GRA 		--- Graphics Classes

GRAOBJS=	arc.o arrow.o bitmap.o box.o circle.o colour.o \
		connection.o cursor.o device.o ellipse.o figure.o \
		font.o format.o graphical.o handle.o image.o \
		joint.o line.o link.o listbrowser.o node.o path.o \
		postscript.o scrollbar.o text.o tree.o visual.o \
		pixmap.o elevation.o
GRASRC=		$(GRAOBJS:.o=.c)

objects:	$(GRAOBJS)

addlib:		$(GRAOBJS)
		$(AR) $(ARFLAGS) $(LIB) $(GRAOBJS)
		@touch addlib
		
proto.h:	$(GRASRC)
		$(MKPROTO) $(GRASRC) | $(CLPROTO) > proto.h

clean:
		$(RM) -f *~ a.out core $(GRAOBJS) addlib

=== packages/xpce/src/ker/Makefile ===
# KER 		--- Kernel modules

KER1OBJS=	alloc.o assoc.o behaviour.o class.o conversion.o \
		csymbol.o debug.o declarations.o error.o gc.o \
		getmethod.o glob.o global.o goodies.o passing.o \
		method.o name.o object.o programobject.o save.o \
		self.o sendmethod.o sourcelocation.o timer.o \
		trace.o type.o variable.o vmi.o xref.o error.o \
		classstub.o
KER2OBJS=	inline.o
KEROBJS=	$(KER1OBJS) $(KER2OBJS)
KER1SRC=	$(KER1OBJS:.o=.c)

objects:	$(KEROBJS)

addlib:		$(KEROBJS)
		$(AR) $(ARFLAGS) $(LIB) $(KEROBJS)
		@touch addlib

proto.h:	$(KER1SRC)
		$(MKPROTO) $(KER1SRC:.o=.c) | $(CLPROTO) > proto.h

version.h:	../../Makefile
		@echo "#define MACHINE \"$(PLARCH)\"" > %$@%
		@echo "#define PCE_VERSION \"$(VERSION)\"" >> %$@%
		@echo "#define OS \"$(OS)\"" >> %$@%
		@if cmp -s %$@% $@; then rm %$@%; else mv %$@% $@; fi

self.o:		version.h

name.o:		../h/names.ih

glob.o:		../h/kernel.h ../h/types.h ../h/graphics.h ../h/lang.h

clean:
		$(RM) -f *~ a.out core $(KEROBJS) addlib

=== packages/xpce/src/win/Makefile ===
# WIN 		--- Windows and Frames

WINOBJS=	browser.o decorate.o dialog.o display.o \
		displaymanager.o frame.o picture.o resource.o \
		setup.o tile.o view.o window.o
WINSRC=		$(WINOBJS:.o=.c)

objects:	$(WINOBJS)

addlib:		$(WINOBJS)
		$(AR) $(ARFLAGS) $(LIB) $(WINOBJS)
		@touch addlib

proto.h:	$(WINSRC)
		$(MKPROTO) $(WINSRC) | $(CLPROTO) > proto.h

rclass.h:	../../Makefile
		@echo "#define RESOURCE_CLASS \"$(RESOURCE_CLASS)\"" > %$@%
		@if cmp -s %$@% $@; then rm %$@%; else mv %$@% $@; fi

display.o:	rclass.h

clean:
		$(RM) -f *~ a.out core $(WINOBJS) addlib

=== debian/changelog ===
swi-prolog (7.2.3-2) unstable; urgency=medium

  * Fix debian/watch
  * Add patch to fix Java library subdir on i386. Closes: #814431

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 12 Feb 2016 20:20:22 +0500

swi-prolog (7.2.3-1) unstable; urgency=medium

  * Remove lpia architecture from debian/control
  * Add myself as a maintainer
  * Use set -e instead of /bin/sh -e in swi-prolog-nox.postinst
  * Remove -fno-strict-aliasing from .pc file
  * Make swipl-lfr.pl executable
  * Imported Upstream version 7.2.3

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 09 Feb 2016 16:27:53 +0500

=== debian/control ===
Source: swi-prolog
Section: interpreters
Priority: optional
Maintainer: Lev Lamberov <dogsleg@debian.org>
Build-Depends:
 debhelper (>= 9~),
 libncursesw5-dev,
 libreadline-dev,
 libgmp-dev,
 libjpeg-dev,
 libx11-dev,
 libxpm-dev,
 libxt-dev,
 x11proto-core-dev,
 unixodbc-dev,
 default-jdk [alpha amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
 junit       [alpha amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
 libxft-dev,
 libxext-dev,
 libice-dev,
 libxinerama-dev,
 dctrl-tools,
 libarchive-dev,
 libssl-dev,
 zlib1g-dev,
 libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
 dh-autoreconf (>= 6~),
 perl,
 libossp-uuid-dev,
 valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
 autotools-dev
Build-Conflicts: libunwind7-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/swi-prolog.git
Homepage: http://www.swi-prolog.org

Package: swi-prolog
Architecture: any
Depends: ${misc:Depends}, swi-prolog-nox (= ${binary:Version}), swi-prolog-x (= ${binary:Version})
Suggests: prolog-el
Description: ISO/Edinburgh-style Prolog interpreter
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface

Package: swi-prolog-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp-dev, libreadline-dev, libncursesw5-dev, libjs-jquery
Breaks: swi-prolog (<< 5.8.2-1), spark (<< 2012.0.deb-5~), logol (<< 1.6.1-2~)
Suggests: prolog-el
Recommends: debhelper
Provides: ${swi-prolog:Depends}
Description: ISO/Edinburgh-style Prolog interpreter (without X support)
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package contains a working SWI-Prolog installation with GUI components.

Package: swi-prolog-x
Architecture: any
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
Description: User interface library for SWI-Prolog (with X support)
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 XPCE is an object-oriented symbolic programming environment for user
 interfaces. Although XPCE was designed to be language-independent, it has
 gained popularity most with Prolog.

Package: swi-prolog-java
Architecture: alpha amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, default-jre-headless | java2-runtime
Description: Bidirectional interface between SWI-Prolog and Java
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This library provides JPL, a bidirectional interface between SWI-Prolog and
 the Java 2 runtime.

Package: swi-prolog-odbc
Architecture: any
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
Description: ODBC library for SWI-Prolog
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package provides a foreign language extension to ODBC, a standard for
 interfacing with database systems.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

CONFFLAGS = --libdir=/usr/lib --with-world --disable-libdirversion --enable-shared

COFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS) -fPIC $(shell pkg-config --cflags ncursesw)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) $(shell dpkg-buildflags --get CFLAGS)

# FIXME implement a proper fix
ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_OS),hurd)
CPPFLAGS += -DMAXPATHLEN=1024
endif

export COFLAGS CPPFLAGS LDFLAGS

JAVACFLAGS = -source 1.5 -target 1.5
export JAVACFLAGS

# List of architectures where -java package should be built.
JAVA_ARCHS = $(shell grep-dctrl -PX swi-prolog-java -nsArchitecture debian/control)

ifeq ($(filter $(DEB_HOST_ARCH),$(JAVA_ARCHS)),)
    DISABLE_PKGS=jpl
else
    JAVA_PACKAGES = jpl
endif

PLBASE := /usr/lib/swi-prolog/
JNIDIR := /usr/lib/$(DEB_HOST_MULTIARCH)/jni

NOX_PACKAGES = clib cpp table sgml RDF semweb http chr clpqr nlp ssl pengines pldoc plunit zlib protobufs PDT utf8proc archive
X_PACKAGES = xpce
ODBC_PACKAGES = odbc cql

# Add here all packages that are not installed into deb packages
DISABLE_PKGS += windows
export DISABLE_PKGS

ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_OS),linux)
    NOX_PACKAGES += tipc
else
    DISABLE_PKGS += tipc
endif

# install_package prolog_pkg deb_pkg
define install_package
	mkdir -p $(CURDIR)/debian/$(2)/$(PLBASE)/library
	$(MAKE) -C packages/$(1) \
		DESTDIR=$(CURDIR)/debian/$(2) \
		PL=$(CURDIR)/src/swipl.sh \
		PLEXE=$(CURDIR)/src/swipl.sh \
		install < /dev/null

endef

# install_packages plog_pkg_list deb_pkg
define install_packages
	$(foreach pkg,$(1),$(call install_package,$(pkg),$(2)))
endef

%:
	dh $@ --with=autotools_dev,autoreconf

override_dh_auto_configure:
	$(SHELL) -c "ulimit -a"
	$(SHELL) -c "ulimit -Ha"
	dh_auto_configure -- $(CONFFLAGS) PL="swipl" PLARCH=$(DEB_HOST_ARCH)

override_dh_auto_build:
	$(MAKE) < /dev/null

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/swi-prolog-nox install-lite

	mkdir -p $(CURDIR)/debian/swi-prolog-x/usr/bin

	$(call install_packages,$(NOX_PACKAGES),swi-prolog-nox)
	$(call install_packages,$(X_PACKAGES),swi-prolog-x)
	$(call install_packages,$(JAVA_PACKAGES),swi-prolog-java)
	$(call install_packages,$(ODBC_PACKAGES),swi-prolog-odbc)

	# This file is generated by swi-prolog-nox postinst (updated by triggers)
	rm debian/swi-prolog-nox/$(PLBASE)/library/INDEX.pl

	# Make swipl-lfr.pl executable
	chmod +x debian/swi-prolog-nox/$(PLBASE)/library/dialect/sicstus/swipl-lfr.pl

	# Create symlink to Debian's copy of jquery (accompany patch remove-jquery.diff)
	ln -s /usr/share/javascript/jquery/jquery.min.js debian/swi-prolog-nox/$(PLBASE)/library/http/web/js/jquery-1.11.3.min.js

	# Generate xpce's autoload index
	echo "make_library_index('$(CURDIR)/debian/swi-prolog-x/$(PLBASE)/xpce/prolog/lib/')." | $(CURDIR)/src/swipl.sh

	# Remove superfluous copies of the GPL
	rm debian/swi-prolog-x/$(PLBASE)/xpce/COPYING

	# Remove empty directories
	find debian/ -depth -type d -empty -exec rm -rfv {} \;

	mv $(CURDIR)/debian/swi-prolog-nox/$(PLBASE)/lib/$(DEB_HOST_ARCH)/libswipl.so* $(CURDIR)/debian/swi-prolog-nox/usr/lib/
	mv $(CURDIR)/debian/swi-prolog-nox/$(PLBASE)/lib/$(DEB_HOST_ARCH)/libswipl.a $(CURDIR)/debian/swi-prolog-nox/usr/lib/

	# Link libjpl.so from the JNI directory so java can load it without LD_LIBRARY_PATH
	mkdir -p $(CURDIR)/debian/swi-prolog-java/$(JNIDIR)
	ln -sf $(PLBASE)/lib/$(DEB_HOST_ARCH)/libjpl.so \
	       $(CURDIR)/debian/swi-prolog-java/$(JNIDIR)/

	install -m755 debian/debhelper/dh_swi_prolog debian/swi-prolog-nox/usr/bin/
	install -d debian/swi-prolog-nox/usr/share/man/man1
	pod2man debian/debhelper/dh_swi_prolog > debian/swi-prolog-nox/usr/share/man/man1/dh_swi_prolog.1

	install -d debian/swi-prolog-nox/usr/share/perl5/Debian/Debhelper/Sequence
	install -m644 debian/debhelper/swi_prolog.pm debian/swi-prolog-nox/usr/share/perl5/Debian/Debhelper/Sequence/

override_dh_install:

override_dh_gencontrol:
	debian/debhelper/dh_swi_prolog -pswi-prolog-nox
	dh_gencontrol

override_dh_auto_test:
	# TODO enable other tests
	$(MAKE) -C $(CURDIR)/src check
	$(MAKE) -C $(CURDIR)/packages/chr check
	# requires network connection
	# $(MAKE) -C $(CURDIR)/packages/http check
	$(MAKE) -C $(CURDIR)/packages/sgml check
	$(MAKE) -C $(CURDIR)/packages/RDF check
	$(MAKE) -C $(CURDIR)/packages/table check
	$(MAKE) -C $(CURDIR)/packages/plunit check
	$(MAKE) -C $(CURDIR)/packages/pldoc check
	$(MAKE) -C $(CURDIR)/packages/archive check
	$(MAKE) -C $(CURDIR)/packages/cpp check
	$(MAKE) -C $(CURDIR)/packages/nlp check
	$(MAKE) -C $(CURDIR)/packages/zlib check
	$(MAKE) -C $(CURDIR)/packages/protobufs check
ifneq ($(JAVA_PACKAGES),)
	$(MAKE) -C $(CURDIR)/packages/jpl check
endif

override_dh_makeshlibs: V=$(shell dpkg-parsechangelog|awk '/^Version:/ {sub("-[^-]*$$", "",$$2); print $$2}')
override_dh_makeshlibs:
	# This library is not for external apps for now
	dh_makeshlibs -V"swi-prolog-nox (>= $(V)~), swi-prolog-nox (<< $(V).0~)"

.PHONY: override_dh_auto_configure override_dh_auto_build override_dh_auto_clean override_dh_auto_install
.PHONY: override_dh_install override_dh_auto_test override_dh_gencontrol

=== debian/watch ===
version=3
http://www.swi-prolog.org/download/stable/src/swipl-(.*)\.tar\.gz

## swi-prolog 7.2.3+dfsg

=== man/txt/Makefile ===
TEXMF=/usr/share/texmf
DOCFONT=$(TEXMF)/fonts/tfm/doc
DOCTEX=$(TEXMF)/tex/latex/doc

install: install-fonts install-tex rehash
	
install-tex:
	if [ ! -d $(DOCTEX) ]; then mkdir $(DOCTEX); fi
	cp txt.sty rfc.sty i-d.sty $(DOCTEX)

install-fonts:
	if [ ! -d $(DOCFONT) ]; then mkdir $(DOCFONT); fi
	cp doc.tfm $(DOCFONT)
	(cd $(DOCFONT) && ln doc.tfm docbf.tfm)
	(cd $(DOCFONT) && ln doc.tfm docul.tfm)

rehash:
	texconfig rehash

=== debian/changelog ===
swi-prolog (7.2.3+dfsg-4) unstable; urgency=low

  * Disable pengines check completely

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 19 Oct 2016 10:49:45 +0500

swi-prolog (7.2.3+dfsg-3) unstable; urgency=low

  * Skip pengines check for ppc64el
  * Refresh jquery patch
  * Disable java support on armel and armhf for now

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 19 Oct 2016 00:40:55 +0500

swi-prolog (7.2.3+dfsg-2) unstable; urgency=medium

  * Use dversionmangle in debian/watch to handle +dfsg
  * Update README.Debian
  * Use secure URL for Vcs-Git and Vcs-Browser
  * Bump Standards-Version to 3.9.8
  * Run additional tests for packages/
  * Clear debian/control

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 17 Oct 2016 22:26:56 +0500

swi-prolog (7.2.3+dfsg-1) unstable; urgency=medium

  * Better handling of jquery
  * Make source DFSG clean

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 20 Feb 2016 15:46:36 +0500

=== debian/control ===
--- 
+++ 
@@ -2,42 +2,43 @@
 Section: interpreters
 Priority: optional
 Maintainer: Lev Lamberov <dogsleg@debian.org>
-Build-Depends:
- debhelper (>= 9~),
- libncursesw5-dev,
- libreadline-dev,
- libgmp-dev,
- libjpeg-dev,
- libx11-dev,
- libxpm-dev,
- libxt-dev,
- x11proto-core-dev,
- unixodbc-dev,
- default-jdk [alpha amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
- junit       [alpha amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
- libxft-dev,
- libxext-dev,
- libice-dev,
- libxinerama-dev,
- dctrl-tools,
- libarchive-dev,
- libssl-dev,
- zlib1g-dev,
- libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
- dh-autoreconf (>= 6~),
- perl,
- libossp-uuid-dev,
- valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
- autotools-dev
+Build-Depends: debhelper (>= 10),
+               libncursesw5-dev,
+               libreadline-dev,
+               libgmp-dev,
+               libjpeg-dev,
+               libx11-dev,
+               libxpm-dev,
+               libxt-dev,
+               x11proto-core-dev,
+               unixodbc-dev,
+               default-jdk [alpha amd64 arm64 i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+               junit       [alpha amd64 arm64 i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+               libxft-dev,
+               libxext-dev,
+               libice-dev,
+               libxinerama-dev,
+               dctrl-tools,
+               libarchive-dev,
+               libssl-dev,
+               zlib1g-dev,
+               libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
+               dh-autoreconf (>= 6~),
+               perl,
+               libossp-uuid-dev,
+               valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
+               autotools-dev
 Build-Conflicts: libunwind7-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/swi-prolog.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/swi-prolog.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/swi-prolog.git/
 Homepage: http://www.swi-prolog.org
 
 Package: swi-prolog
 Architecture: any
-Depends: ${misc:Depends}, swi-prolog-nox (= ${binary:Version}), swi-prolog-x (= ${binary:Version})
+Depends: ${misc:Depends},
+         swi-prolog-nox (= ${binary:Version}),
+         swi-prolog-x (= ${binary:Version})
 Suggests: prolog-el
 Description: ISO/Edinburgh-style Prolog interpreter
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
@@ -56,9 +57,13 @@
 
 Package: swi-prolog-nox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp-dev, libreadline-dev, libncursesw5-dev, libjs-jquery
-Breaks: swi-prolog (<< 5.8.2-1), spark (<< 2012.0.deb-5~), logol (<< 1.6.1-2~)
-Suggests: prolog-el
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libgmp-dev,
+         libreadline-dev,
+         libncursesw5-dev,
+         libjs-jquery
+Breaks: spark (<< 2012.0.deb-5~)
 Recommends: debhelper
 Provides: ${swi-prolog:Depends}
 Description: ISO/Edinburgh-style Prolog interpreter (without X support)
@@ -101,8 +106,11 @@
  gained popularity most with Prolog.
 
 Package: swi-prolog-java
-Architecture: alpha amd64 arm64 armel armhf i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
-Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, default-jre-headless | java2-runtime
+Architecture: alpha amd64 arm64 i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
+Depends: ${shlibs:Depends},
+         swi-prolog-nox (= ${binary:Version}),
+         ${misc:Depends},
+         default-jre-headless | java2-runtime
 Description: Bidirectional interface between SWI-Prolog and Java
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small
@@ -123,7 +131,9 @@
 
 Package: swi-prolog-odbc
 Architecture: any
-Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         swi-prolog-nox (= ${binary:Version})
 Description: ODBC library for SWI-Prolog
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small

=== debian/rules ===
--- 
+++ 
@@ -97,9 +97,6 @@
 	# Make swipl-lfr.pl executable
 	chmod +x debian/swi-prolog-nox/$(PLBASE)/library/dialect/sicstus/swipl-lfr.pl
 
-	# Create symlink to Debian's copy of jquery (accompany patch remove-jquery.diff)
-	ln -s /usr/share/javascript/jquery/jquery.min.js debian/swi-prolog-nox/$(PLBASE)/library/http/web/js/jquery-1.11.3.min.js
-
 	# Generate xpce's autoload index
 	echo "make_library_index('$(CURDIR)/debian/swi-prolog-x/$(PLBASE)/xpce/prolog/lib/')." | $(CURDIR)/src/swipl.sh
 
@@ -132,20 +129,25 @@
 
 override_dh_auto_test:
 	# TODO enable other tests
+	# Some tests are disabled because they require network connection
+	# pengines check is disables for ppc64el since it is failing for unknown yet reason
 	$(MAKE) -C $(CURDIR)/src check
+	$(MAKE) -C $(CURDIR)/packages/RDF check
+	$(MAKE) -C $(CURDIR)/packages/archive check
 	$(MAKE) -C $(CURDIR)/packages/chr check
-	# requires network connection
+	$(MAKE) -C $(CURDIR)/packages/clib check
+	$(MAKE) -C $(CURDIR)/packages/cpp check
 	# $(MAKE) -C $(CURDIR)/packages/http check
+	$(MAKE) -C $(CURDIR)/packages/nlp check
+	$(MAKE) -C $(CURDIR)/packages/odbc check
+	$(MAKE) -C $(CURDIR)/packages/pldoc check
+	$(MAKE) -C $(CURDIR)/packages/plunit check
+	$(MAKE) -C $(CURDIR)/packages/protobufs check
+	# $(MAKE) -C $(CURDIR)/packages/semweb check
 	$(MAKE) -C $(CURDIR)/packages/sgml check
-	$(MAKE) -C $(CURDIR)/packages/RDF check
+	# $(MAKE) -C $(CURDIR)/packages/ssl check
 	$(MAKE) -C $(CURDIR)/packages/table check
-	$(MAKE) -C $(CURDIR)/packages/plunit check
-	$(MAKE) -C $(CURDIR)/packages/pldoc check
-	$(MAKE) -C $(CURDIR)/packages/archive check
-	$(MAKE) -C $(CURDIR)/packages/cpp check
-	$(MAKE) -C $(CURDIR)/packages/nlp check
 	$(MAKE) -C $(CURDIR)/packages/zlib check
-	$(MAKE) -C $(CURDIR)/packages/protobufs check
 ifneq ($(JAVA_PACKAGES),)
 	$(MAKE) -C $(CURDIR)/packages/jpl check
 endif

## swi-prolog 7.4.2+dfsg

=== debian/changelog ===
swi-prolog (7.4.2+dfsg-2) unstable; urgency=medium

  * Remove autotools-dev and dh-autoreconf from build dependencies
    - debhelper 10 is in use
  * Migrate to libssl-dev (Closes: #859738)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 06 Aug 2017 03:10:44 +0500

swi-prolog (7.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 7.4.2+dfsg
  * Build libedit and readline packages
  * Build bdb package as a separate Debian package
  * Move cql package to swi-prolog-nox Debian package
  * Refresh patches
  * Remove patches applied upstream: ignore-format-string-error,
    java-fixes, java-i386, maildrop-fpic
  * Update d/rules to reflect upstream changes
  * Clean d/control, update description
  * Drop passing autotools_dev to dh
  * Bump d/compat to 10
  * Migrate to machine-readable d/copyright
  * Reflect upstream changes (upstream migrated to BSD license)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 15 Jul 2017 18:12:08 +0500

swi-prolog (7.2.3+dfsg-6) unstable; urgency=medium

  * Drop swi-prolog-java on mips. Fixes FTBFS. (Closes: #854609)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 11 Feb 2017 23:30:43 +0500

swi-prolog (7.2.3+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/java-ld-path.diff: new patch, sets LD_LIBRARY_PATH before running
    test-java.sh. Fixes FTBFS. (Closes: #852892)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 05 Feb 2017 14:27:07 +0100

swi-prolog (7.2.3+dfsg-5) unstable; urgency=medium

  * Temporary build-depend on libssl1.0-dev (Closes: #845030).
    Thanks to Adrian Bunk.

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 02 Dec 2016 00:20:25 +0500

=== debian/control ===
--- 
+++ 
@@ -2,33 +2,32 @@
 Section: interpreters
 Priority: optional
 Maintainer: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: dctrl-tools,
+               debhelper (>= 10),
+               default-jdk [alpha amd64 arm64 i386 mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+               junit       [alpha amd64 arm64 i386 mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+               libarchive-dev,
+               libdb-dev,
+               libedit-dev,
+               libgmp-dev,
+               libice-dev,
+               libjpeg-dev,
                libncursesw5-dev,
+               libossp-uuid-dev,
                libreadline-dev,
-               libgmp-dev,
-               libjpeg-dev,
+               libssl-dev,
+               libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
                libx11-dev,
+               libxext-dev,
+               libxft-dev,
+               libxinerama-dev,
                libxpm-dev,
                libxt-dev,
+               perl,
+               unixodbc-dev,
+               valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
                x11proto-core-dev,
-               unixodbc-dev,
-               default-jdk [alpha amd64 arm64 i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
-               junit       [alpha amd64 arm64 i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
-               libxft-dev,
-               libxext-dev,
-               libice-dev,
-               libxinerama-dev,
-               dctrl-tools,
-               libarchive-dev,
-               libssl-dev,
-               zlib1g-dev,
-               libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
-               dh-autoreconf (>= 6~),
-               perl,
-               libossp-uuid-dev,
-               valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
-               autotools-dev
-Build-Conflicts: libunwind7-dev
+               zlib1g-dev
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/swi-prolog.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/swi-prolog.git/
@@ -39,7 +38,6 @@
 Depends: ${misc:Depends},
          swi-prolog-nox (= ${binary:Version}),
          swi-prolog-x (= ${binary:Version})
-Suggests: prolog-el
 Description: ISO/Edinburgh-style Prolog interpreter
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small
@@ -54,15 +52,19 @@
   * Multithreading support
   * A powerful C/C++ interface
   * GNU Readline interface
+ .
+ This is a metapackage, it installs full SWI-Prolog suit (except ODBC
+ and Berkeley DB support).
 
 Package: swi-prolog-nox
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         libedit-dev,
          libgmp-dev,
-         libreadline-dev,
+         libjs-jquery,
          libncursesw5-dev,
-         libjs-jquery
+         libreadline-dev
 Breaks: spark (<< 2012.0.deb-5~)
 Recommends: debhelper
 Provides: ${swi-prolog:Depends}
@@ -85,7 +87,9 @@
 
 Package: swi-prolog-x
 Architecture: any
-Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         swi-prolog-nox (= ${binary:Version})
 Description: User interface library for SWI-Prolog (with X support)
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small
@@ -106,11 +110,11 @@
  gained popularity most with Prolog.
 
 Package: swi-prolog-java
-Architecture: alpha amd64 arm64 i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
+Architecture: alpha amd64 arm64 i386 mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
 Depends: ${shlibs:Depends},
-         swi-prolog-nox (= ${binary:Version}),
          ${misc:Depends},
-         default-jre-headless | java2-runtime
+         default-jre-headless | java2-runtime,
+         swi-prolog-nox (= ${binary:Version})
 Description: Bidirectional interface between SWI-Prolog and Java
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small
@@ -151,3 +155,26 @@
  .
  This package provides a foreign language extension to ODBC, a standard for
  interfacing with database systems.
+
+Package: swi-prolog-bdb
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         swi-prolog-nox (= ${binary:Version})
+Description: Berkeley DB interface for SWI-Prolog
+ SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
+ rich set of built-in predicates. It offers a fast, robust and small
+ environment which enables substantial applications to be developed with it.
+ .
+ SWI-Prolog additionally offers:
+ .
+  * A powerful module system
+  * Garbage collection
+  * Unicode character set handling
+  * Unbounted integer and rational number arithmetic
+  * Multithreading support
+  * A powerful C/C++ interface
+  * GNU Readline interface
+ .
+ This package provides a foreign language extension to the Berkeley DB
+ (libdb) embedded database.

=== debian/rules ===
--- 
+++ 
@@ -36,9 +36,10 @@
 PLBASE := /usr/lib/swi-prolog/
 JNIDIR := /usr/lib/$(DEB_HOST_MULTIARCH)/jni
 
-NOX_PACKAGES = clib cpp table sgml RDF semweb http chr clpqr nlp ssl pengines pldoc plunit zlib protobufs PDT utf8proc archive
+NOX_PACKAGES = PDT RDF archive chr clib clpqr cpp cql http libedit nlp pengines pldoc plunit protobufs readline semweb sgml ssl table utf8proc zlib
 X_PACKAGES = xpce
-ODBC_PACKAGES = odbc cql
+ODBC_PACKAGES = odbc
+BDB_PACKAGES = bdb
 
 # Add here all packages that are not installed into deb packages
 DISABLE_PKGS += windows
@@ -67,7 +68,7 @@
 endef
 
 %:
-	dh $@ --with=autotools_dev,autoreconf
+	dh $@ --with=autoreconf
 
 override_dh_auto_configure:
 	$(SHELL) -c "ulimit -a"
@@ -90,6 +91,7 @@
 	$(call install_packages,$(X_PACKAGES),swi-prolog-x)
 	$(call install_packages,$(JAVA_PACKAGES),swi-prolog-java)
 	$(call install_packages,$(ODBC_PACKAGES),swi-prolog-odbc)
+	$(call install_packages,$(BDB_PACKAGES),swi-prolog-bdb)
 
 	# This file is generated by swi-prolog-nox postinst (updated by triggers)
 	rm debian/swi-prolog-nox/$(PLBASE)/library/INDEX.pl
@@ -99,9 +101,6 @@
 
 	# Generate xpce's autoload index
 	echo "make_library_index('$(CURDIR)/debian/swi-prolog-x/$(PLBASE)/xpce/prolog/lib/')." | $(CURDIR)/src/swipl.sh
-
-	# Remove superfluous copies of the GPL
-	rm debian/swi-prolog-x/$(PLBASE)/xpce/COPYING
 
 	# Remove empty directories
 	find debian/ -depth -type d -empty -exec rm -rfv {} \;

=== debian/watch ===
version=3
opts=dversionmangle=s/\+?(debian|dfsg|ds|deb)\d*$// \
http://www.swi-prolog.org/download/stable/src/swipl-(.*)\.tar\.gz

## swi-prolog 7.6.1+dfsg

=== debian/changelog ===
swi-prolog (7.6.1+dfsg-1) unstable; urgency=medium
  * New upstream version 7.6.1+dfsg

  * Remove jquery patch (obsolete due to upstream changes)
  * Refresh patches
  * Run autoreconf in all and only relevant directories
  * Update docs installation for swi-prolog-x package

  * d/control: Declare Standards-Version 4.0.1
  * d/control: Suggest elpa-ediprolog
  * d/control: Add new build dependencies (libjs-jquery, libpcre3-dev)
  * d/control: Remove Breaks field (relevant only for oldstable)

  * d/rules: Declare JAVACFLAGS {source,target} to be 7 (Closes: #874142)
  * d/rules: Build pcre package
  * d/rules Enable more tests (bdb, clpqr, pcre, pengines)
  * d/rules: Use PLBASE environment variable, migrate PLARCH to DEB_BUILD_ARCH
  * d/rules: Remove DEB_HOST_{ARCH,MULTIARCH{ declaration

  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 06 Nov 2017 15:07:42 +0500

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -21,7 +18,7 @@
 
 export COFLAGS CPPFLAGS LDFLAGS
 
-JAVACFLAGS = -source 1.5 -target 1.5
+JAVACFLAGS = -source 7 -target 7
 export JAVACFLAGS
 
 # List of architectures where -java package should be built.
@@ -36,7 +33,7 @@
 PLBASE := /usr/lib/swi-prolog/
 JNIDIR := /usr/lib/$(DEB_HOST_MULTIARCH)/jni
 
-NOX_PACKAGES = PDT RDF archive chr clib clpqr cpp cql http libedit nlp pengines pldoc plunit protobufs readline semweb sgml ssl table utf8proc zlib
+NOX_PACKAGES = PDT RDF archive chr clib clpqr cpp cql http libedit nlp pcre pengines pldoc plunit protobufs readline semweb sgml ssl table utf8proc zlib
 X_PACKAGES = xpce
 ODBC_PACKAGES = odbc
 BDB_PACKAGES = bdb
@@ -58,7 +55,7 @@
 		DESTDIR=$(CURDIR)/debian/$(2) \
 		PL=$(CURDIR)/src/swipl.sh \
 		PLEXE=$(CURDIR)/src/swipl.sh \
-		install < /dev/null
+		PLBASE=$(PLBASE) install < /dev/null
 
 endef
 
@@ -73,7 +70,7 @@
 override_dh_auto_configure:
 	$(SHELL) -c "ulimit -a"
 	$(SHELL) -c "ulimit -Ha"
-	dh_auto_configure -- $(CONFFLAGS) PL="swipl" PLARCH=$(DEB_HOST_ARCH)
+	dh_auto_configure -- $(CONFFLAGS) PL="swipl" PLARCH=$(DEB_BUILD_ARCH) PLBASE=$(PLBASE)
 
 override_dh_auto_build:
 	$(MAKE) < /dev/null
@@ -83,7 +80,7 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 
 override_dh_auto_install:
-	$(MAKE) DESTDIR=$(CURDIR)/debian/swi-prolog-nox install-lite
+	$(MAKE) DESTDIR=$(CURDIR)/debian/swi-prolog-nox PLBASE=$(PLBASE) install-lite
 
 	mkdir -p $(CURDIR)/debian/swi-prolog-x/usr/bin
 
@@ -127,18 +124,21 @@
 	dh_gencontrol
 
 override_dh_auto_test:
-	# TODO enable other tests
 	# Some tests are disabled because they require network connection
-	# pengines check is disables for ppc64el since it is failing for unknown yet reason
+	# pengines check is disabled for ppc64el since it is failing for unknown yet reason
 	$(MAKE) -C $(CURDIR)/src check
 	$(MAKE) -C $(CURDIR)/packages/RDF check
 	$(MAKE) -C $(CURDIR)/packages/archive check
+	$(MAKE) -C $(CURDIR)/packages/bdb check
 	$(MAKE) -C $(CURDIR)/packages/chr check
 	$(MAKE) -C $(CURDIR)/packages/clib check
+	$(MAKE) -C $(CURDIR)/packages/clpqr check
 	$(MAKE) -C $(CURDIR)/packages/cpp check
 	# $(MAKE) -C $(CURDIR)/packages/http check
 	$(MAKE) -C $(CURDIR)/packages/nlp check
 	$(MAKE) -C $(CURDIR)/packages/odbc check
+	$(MAKE) -C $(CURDIR)/packages/pcre check
+	$(MAKE) -C $(CURDIR)/packages/pengines check
 	$(MAKE) -C $(CURDIR)/packages/pldoc check
 	$(MAKE) -C $(CURDIR)/packages/plunit check
 	$(MAKE) -C $(CURDIR)/packages/protobufs check

## swi-prolog 7.6.2+dfsg

=== debian/changelog ===
swi-prolog (7.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 7.6.2+dfsg
  * Remove patch applied upstream (volatile-hack.diff)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 25 Nov 2017 19:37:52 +0500

swi-prolog (7.6.1+dfsg-3) unstable; urgency=medium

  * Add patch to fix build on mips (thanks to James Cowgill)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 20 Nov 2017 13:12:34 +0500

swi-prolog (7.6.1+dfsg-2) unstable; urgency=medium

  * Disable Java test due to CVE-2017-1000364

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 07 Nov 2017 11:14:08 +0500

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,11 @@
                libgmp-dev,
                libice-dev,
                libjpeg-dev,
+               libjs-jquery,
                libncursesw5-dev,
                libossp-uuid-dev,
                libreadline-dev,
+               libpcre3-dev,
                libssl-dev,
                libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
                libx11-dev,
@@ -28,7 +30,7 @@
                valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
                x11proto-core-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/swi-prolog.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/swi-prolog.git/
 Homepage: http://www.swi-prolog.org
@@ -65,8 +67,8 @@
          libjs-jquery,
          libncursesw5-dev,
          libreadline-dev
-Breaks: spark (<< 2012.0.deb-5~)
 Recommends: debhelper
+Suggests: elpa-ediprolog
 Provides: ${swi-prolog:Depends}
 Description: ISO/Edinburgh-style Prolog interpreter (without X support)
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a

## swi-prolog 7.6.3+dfsg

=== debian/changelog ===
swi-prolog (7.6.3+dfsg-1) unstable; urgency=medium

  * New upstream version 7.6.3+dfsg

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 16 Dec 2017 12:39:19 +0500

## swi-prolog 7.6.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: swi-prolog
 Section: interpreters
 Priority: optional
-Maintainer: Lev Lamberov <dogsleg@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: dctrl-tools,
                debhelper (>= 10),
                default-jdk [alpha amd64 arm64 i386 mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
@@ -31,8 +32,8 @@
                x11proto-core-dev,
                zlib1g-dev
 Standards-Version: 4.0.1
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/swi-prolog.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/swi-prolog.git/
+Vcs-Git: https://salsa.debian.org/debian/swi-prolog.git
+Vcs-Browser: https://salsa.debian.org/debian/swi-prolog
 Homepage: http://www.swi-prolog.org
 
 Package: swi-prolog

## swi-prolog 7.6.4+dfsg

=== man/txt/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DOCTEX=$(TEXMF)/tex/latex/doc
 
 install: install-fonts install-tex rehash
-	
+
 install-tex:
 	if [ ! -d $(DOCTEX) ]; then mkdir $(DOCTEX); fi
 	cp txt.sty rfc.sty i-d.sty $(DOCTEX)
@@ -15,4 +15,4 @@
 	(cd $(DOCFONT) && ln doc.tfm docul.tfm)
 
 rehash:
-	texconfig rehash
+	texhash

=== packages/xpce/man/interface/Makefile ===
.SUFFIXES: .tex .dvi .doc

DOCTOTEX=../../bin/doc2tex
CORRECTINDEX=../../bin/correctindex
MAKEINDEX=makeindex -s ../../TeX/makeindex.sty


TEX=	doc.tex \
	intro.tex data.tex functions.tex examples.tex callback.tex \
	miscellaneous.tex event.tex files.tex
	
LOGO=	figs/uva.ps figs/swi.ps

all:	$(TEX) $(LOGO)
	-$(CORRECTINDEX) doc.idx
	-$(MAKEINDEX) doc
	touch doc.ind
	(TEXINPUTS=../../TeX:$$TEXINPUTS; export TEXINPUTS; latex doc)

bib:	doc.aux
	(TEXINPUTS=../../TeX:$$TEXINPUTS; \
	 BIBINPUTS=$$TEXINPUTS; \
	 export TEXINPUTS BIBINPUTS; bibtex doc)

figs/uva.ps:	../../TeX/figs/uva.ps
	cp ../../TeX/figs/uva.ps figs/uva.ps

figs/swi.ps:	../../TeX/figs/swi.ps
	cp ../../TeX/figs/swi.ps figs/swi.ps

$(TEX):	$(DOCTOTEX)

.doc.tex:
	$(DOCTOTEX) $*.doc > $*.tex

clean:
	rm -f $(TEX) *.dvi *.toc *.aux *.idx *.ind $(LOGO)

=== packages/xpce/src/prg/Makefile ===
# PRG 		--- Language Definition Classes

PRGOBJS=	operator.o parser.o tokeniser.o
PRGSRC=		$(PRGOBJS:.o=.c)

objects:	$(PRGOBJS)

addlib:		$(PRGOBJS)
		$(AR) $(ARFLAGS) $(LIB) $(PRGOBJS)
		@touch addlib

proto.h:	$(PRGSRC)
		$(MKPROTO) $(PRGSRC) | $(CLPROTO) > proto.h

clean:
		$(RM) -f *~ a.out core $(PRGOBJS) addlib

=== debian/changelog ===
swi-prolog (7.6.4+dfsg-2) unstable; urgency=medium

  * Add patch to lazy restart of "gc" thread (Closes: #887155)
  * Add patch to fix build with openjdk9 (Closes: #893421)
  * Migrate to salsa.debian.org

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 27 Apr 2018 22:13:38 +0500

swi-prolog (7.6.4+dfsg-1) unstable; urgency=medium

  * New upstream version 7.6.4+dfsg
  * Refresh patches

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 13 Jan 2018 19:26:33 +0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: swi-prolog
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lev Lamberov <dogsleg@debian.org>
+Maintainer: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: dctrl-tools,
                debhelper (>= 10),
                default-jdk [alpha amd64 arm64 i386 mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
